Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -2767,107 +2869,12 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_396
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.lib" GOTO end_if_copy_397
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_411
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.lib" GOTO end_if_copy_412
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_397
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.dll" GOTO end_if_copy_398
+:end_if_copy_412
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.dll" GOTO end_if_copy_413
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_398
-:end_if_release_396
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_399
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" GOTO end_if_copy_400
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_400
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" GOTO end_if_copy_401
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_401
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" GOTO end_if_copy_402
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_402
-:end_if_release_399
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_403
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" GOTO end_if_copy_404
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_404
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" GOTO end_if_copy_405
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_405
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" GOTO end_if_copy_406
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_406
-:end_if_release_403
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_407
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" GOTO end_if_copy_408
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_408
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" GOTO end_if_copy_409
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_409
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" GOTO end_if_copy_410
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_410
-:end_if_release_407
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_411
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" GOTO end_if_copy_412
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_412
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" GOTO end_if_copy_413
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -2883,15 +2890,110 @@
 
 IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_414
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.lib" GOTO end_if_copy_415
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" GOTO end_if_copy_415
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_415
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" GOTO end_if_copy_416
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_416
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" GOTO end_if_copy_417
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_417
+:end_if_release_414
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_418
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" GOTO end_if_copy_419
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_419
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" GOTO end_if_copy_420
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_420
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" GOTO end_if_copy_421
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_421
+:end_if_release_418
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_422
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" GOTO end_if_copy_423
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_423
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" GOTO end_if_copy_424
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_424
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" GOTO end_if_copy_425
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_425
+:end_if_release_422
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_426
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" GOTO end_if_copy_427
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_427
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" GOTO end_if_copy_428
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_428
+:end_if_release_426
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_429
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.lib" GOTO end_if_copy_430
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_415
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.dll" GOTO end_if_copy_416
+:end_if_copy_430
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.dll" GOTO end_if_copy_431
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_416
-:end_if_release_414
+:end_if_copy_431
+:end_if_release_429
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2902,21 +3004,21 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_417
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.lib" GOTO end_if_copy_418
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_432
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.lib" GOTO end_if_copy_433
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_418
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.dll" GOTO end_if_copy_419
+:end_if_copy_433
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.dll" GOTO end_if_copy_434
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_419
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.pyd" GOTO end_if_copy_420
+:end_if_copy_434
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.pyd" GOTO end_if_copy_435
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_420
-:end_if_release_417
+:end_if_copy_435
+:end_if_release_432
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2927,21 +3029,21 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_421
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.lib" GOTO end_if_copy_422
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_436
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.lib" GOTO end_if_copy_437
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_422
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.dll" GOTO end_if_copy_423
+:end_if_copy_437
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.dll" GOTO end_if_copy_438
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_423
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.save" GOTO end_if_copy_424
+:end_if_copy_438
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.save" GOTO end_if_copy_439
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_424
-:end_if_release_421
+:end_if_copy_439
+:end_if_release_436
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2952,16 +3054,16 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_425
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.lib" GOTO end_if_copy_426
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_440
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.lib" GOTO end_if_copy_441
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_426
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.dll" GOTO end_if_copy_427
+:end_if_copy_441
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.dll" GOTO end_if_copy_442
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_427
-:end_if_release_425
+:end_if_copy_442
+:end_if_release_440
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2972,21 +3074,21 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_428
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.lib" GOTO end_if_copy_429
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_443
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.lib" GOTO end_if_copy_444
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_429
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.dll" GOTO end_if_copy_430
+:end_if_copy_444
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.dll" GOTO end_if_copy_445
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_430
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\libOnX_SWIG_Java.jnilib.dll" GOTO end_if_copy_431
+:end_if_copy_445
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\libOnX_SWIG_Java.jnilib.dll" GOTO end_if_copy_446
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\libOnX_SWIG_Java.jnilib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_431
-:end_if_release_428
+:end_if_copy_446
+:end_if_release_443
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2997,16 +3099,16 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_432
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.lib" GOTO end_if_copy_433
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_447
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.lib" GOTO end_if_copy_448
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_433
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.dll" GOTO end_if_copy_434
+:end_if_copy_448
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.dll" GOTO end_if_copy_449
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_434
-:end_if_release_432
+:end_if_copy_449
+:end_if_release_447
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3017,16 +3119,16 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_435
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.lib" GOTO end_if_copy_436
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_450
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.lib" GOTO end_if_copy_451
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_436
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.dll" GOTO end_if_copy_437
+:end_if_copy_451
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.dll" GOTO end_if_copy_452
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_437
-:end_if_release_435
+:end_if_copy_452
+:end_if_release_450
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3037,21 +3139,21 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_438
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.lib" GOTO end_if_copy_439
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_453
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.lib" GOTO end_if_copy_454
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_439
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.dll" GOTO end_if_copy_440
+:end_if_copy_454
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.dll" GOTO end_if_copy_455
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_440
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\Lab.dll" GOTO end_if_copy_441
+:end_if_copy_455
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\Lab.dll" GOTO end_if_copy_456
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_441
-:end_if_release_438
+:end_if_copy_456
+:end_if_release_453
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3062,16 +3164,16 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_442
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.lib" GOTO end_if_copy_443
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_457
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.lib" GOTO end_if_copy_458
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_443
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.dll" GOTO end_if_copy_444
+:end_if_copy_458
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.dll" GOTO end_if_copy_459
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_444
-:end_if_release_442
+:end_if_copy_459
+:end_if_release_457
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3082,21 +3184,21 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_445
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.lib" GOTO end_if_copy_446
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_460
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.lib" GOTO end_if_copy_461
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_446
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.dll" GOTO end_if_copy_447
+:end_if_copy_461
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.dll" GOTO end_if_copy_462
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_447
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.pyd" GOTO end_if_copy_448
+:end_if_copy_462
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.pyd" GOTO end_if_copy_463
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_448
-:end_if_release_445
+:end_if_copy_463
+:end_if_release_460
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
